Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.router
Class ContactReroutingEvent

    java.lang.Object
      umontreal.iro.lecuyer.simevents.Event
          umontreal.iro.lecuyer.contactcenters.router.ContactReroutingEvent

All Implemented Interfaces:
  Comparable<Event>

    public final class ContactReroutingEvent

extends Event

Represents an event happening when the router tries to reroute a queued contact to an agent, or another queue.

Field Summary

Fields inherited from class umontreal.iro.lecuyer.simevents.Event
`eventTime, priority, sim`

Constructor Summary
`ContactReroutingEvent(Router router, DequeueEvent dqEv, int numReroutingsDone)` Constructs an event that will reroute the queued contact `dqEv` to an agent or another queue.

Method Summary
`void` | `actions()`
`boolean` | `cancel()`
`DequeueEvent` | `getDequeueEvent()` Returns the dequeue event associated with this rerouting event.
`int` | `getNumReroutingsDone()` Returns the number of reroutings done, i.e., the number of calls to `actions()` having resulted in the contact not being transferred to an agent.
`Router` | `getRouter()` Returns the router associated with this event.
`boolean` | `isObsolete()`
`void` | `schedule(double delay)`
`void` | `scheduleAfter(Event other)`
`void` | `scheduleBefore(Event other)`
`void` | `scheduleNext()`
`String` | `toString()`

Methods inherited from class umontreal.iro.lecuyer.simevents.Event
`cancel, compareTo, getRa, priority, reschedule, setPriority, setRa, setSimulator, setTime, simulator, time`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ContactReroutingEvent

    public ContactReroutingEvent(Router router,
                                 DequeueEvent dqEv,
                                 int numReroutingsDone)

  Constructs an event that will reroute the queued contact `dqEv` to an agent or another queue.

  Parameters:
    `router` - the router this event is linked to.
    `dqEv` - the dequeue event.
    `numReroutingsDone` - the number of reroutings done.

Method Detail

### getRouter

    public Router getRouter()

  Returns the router associated with this event.

  Returns:
    the associated router.

### getDequeueEvent

    public DequeueEvent getDequeueEvent()

  Returns the dequeue event associated with this rerouting event.

  Returns:
    the associated dequeue event.

### getNumReroutingsDone

    public int getNumReroutingsDone()

  Returns the number of reroutings done, i.e., the number of calls to `actions()` having resulted in the contact not being transferred to an agent.

  Returns:
    the number of reroutings that has happened.

### cancel

    public boolean cancel()

  Overrides:
    `cancel` in class `Event`

### schedule

    public void schedule(double delay)

  Overrides:
    `schedule` in class `Event`

### scheduleAfter

    public void scheduleAfter(Event other)

  Overrides:
    `scheduleAfter` in class `Event`

### scheduleBefore

    public void scheduleBefore(Event other)

  Overrides:
    `scheduleBefore` in class `Event`

### scheduleNext

    public void scheduleNext()

  Overrides:
    `scheduleNext` in class `Event`

### isObsolete

    public boolean isObsolete()

### actions

    public void actions()

  Specified by:
    `actions` in class `Event`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.